//
// Created by m on 12/12/21.
//

#include "luacontextmanager.hpp"

std::string LuaContextManager::get_key(std::string args) {
    return args;
}

// TODO: Switch the arg to a struct and use that to init libraries
std::shared_ptr<sol::state> LuaContextManager::load_resource(std::string args) {
    auto lua = std::make_shared<sol::state>();
    lua->open_libraries(sol::lib::base, sol::lib::package);
    return lua;
}
